% General expressions
time = (linspace(0,max(netcdf_wq.ResTime) - min(netcdf_wq.ResTime), ...
                   1+(max(netcdf_wq.ResTime) - min(netcdf_wq.ResTime))/(netcdf_wq.ResTime(2) - netcdf_wq.ResTime(1))))';

exp1 = ['dos(''','del ',out_dir,run_ID,'_mass_conservation.xlsx /Q',''');']; eval(exp1);
exp2 = ['xlswrite(''',out_dir,run_ID,'_mass_conservation.xlsx''',',c)'];

% DO
if sim_class == 0
    header = {'time','oxy_atm_flux','oxy_sed_flux','oxy_mass_bal', ...
        'pat_grw_flux','pat_alat_lgt_flux','pat_alat_mor_flux', ...
        'pat_alat_at_sed_flux','pat_alat_al_sed_flux','pth_alive_attch_mass_bal', ...
        'pat_dead_de_sed_flux','pth_dead_mass_bal','tpt_mass_bal'};
    dat = [time,oxy_atm_flux,oxy_sed_flux,oxy_mass_bal, ...
        pat_grw_flux,min(pat_alat_lgt_flux,-1),pat_alat_mor_flux,...
        pat_alat_at_sed_flux,pat_alat_al_sed_flux,pth_alive_attch_mass_bal, ...
        pat_dead_de_sed_flux,pth_dead_mass_bal,tpt_mass_bal];
    c = cell(length(time)+1,size(dat,2));
    c(1,:) = header; c(2:size(dat,1)+1,:) = num2cell(dat);
    eval(exp2);
% Inorganics
elseif sim_class == 1
    header = {'time', ...
        'oxy_atm_flux','oxy_sed_flux','oxy_nitrif_flux','oxy_phy_gpp_flux','oxy_phy_res_flux','oxy_mass_bal', ...
        'pat_grw_flux','pat_alat_lgt_flux','pat_alat_mor_flux', ...
        'pat_alat_at_sed_flux','pat_alat_al_sed_flux','pth_alive_attch_mass_bal', ...
        'pat_dead_de_sed_flux','pth_dead_mass_bal', ...
        'sil_sed_flux','sil_phy_upt_flux','sil_phy_mor_flux','sil_phy_exc_flux','sil_mass_bal', ...
        'amm_atm_flux','amm_sed_flux','amm_nitrif_flux','amm_anmmox_flux','amm_drna_flux' ...
        'amm_phy_upt_flux','amm_phy_mor_flux','amm_phy_exc_flux','amm_mass_bal', ...
        'nit_atm_flux','nit_sed_flux','nit_nitrif_flux','nit_denit_flux','nit_anmmox_flux','nit_drna_flux', ...
        'nit_phy_upt_flux','nit_mass_bal', ...
        'frp_atm_flux','frp_sed_flux','frp_phy_upt_flux','frp_phy_mor_flux','frp_phy_exc_flux','frp_mass_bal', ...
        'phy_phy_upt_flux','phy_phy_res_flux','phy_phy_mor_flux','phy_phy_exc_flux','phy_phy_sed_flux','phy_mass_bal', ...
        'tni_mass_bal','tkn_mass_bal','tph_mass_bal','toc_mass_bal','tpt_mass_bal'};
    dat = [time,...
        oxy_atm_flux,oxy_sed_flux,oxy_nitrif_flux,oxy_phy_gpp_flux,oxy_phy_res_flux,oxy_mass_bal, ...
        pat_grw_flux,pat_alat_lgt_flux,pat_alat_mor_flux,...
        pat_alat_at_sed_flux,pat_alat_al_sed_flux,pth_alive_attch_mass_bal, ...
        pat_dead_de_sed_flux,pth_dead_mass_bal, ...
        sil_sed_flux,sil_phy_upt_flux,sil_phy_mor_flux,sil_phy_exc_flux,sil_mass_bal, ...
        amm_atm_flux,amm_sed_flux,amm_nitrif_flux,amm_anmmox_flux,amm_drna_flux ...
        amm_phy_upt_flux,amm_phy_mor_flux,amm_phy_exc_flux,amm_mass_bal, ...
        nit_atm_flux,nit_sed_flux,nit_nitrif_flux,nit_denit_flux,nit_anmmox_flux,nit_drna_flux ...
        nit_phy_upt_flux,nit_mass_bal, ...
        frp_atm_flux,frp_sed_flux,frp_phy_upt_flux,frp_phy_mor_flux,frp_phy_exc_flux,frp_mass_bal, ...
        phy_phy_upt_flux,phy_phy_res_flux,phy_phy_mor_flux,phy_phy_exc_flux,phy_phy_sed_flux,phy_mass_bal, ...
        tni_mass_bal,tkn_mass_bal,tph_mass_bal,toc_mass_bal,tpt_mass_bal];
    c = cell(length(time)+1,size(dat,2));
    c(1,:) = header; c(2:size(dat,1)+1,:) = num2cell(dat);
    eval(exp2);
% Labile organics
elseif sim_class == 2
    header = {'time', ...
        'oxy_atm_flux','oxy_sed_flux','oxy_nitrif_flux','oxy_phy_gpp_flux','oxy_phy_res_flux','oxy_org_min_flux','oxy_mass_bal', ...
        'pat_grw_flux','pat_alat_lgt_flux','pat_alat_mor_flux', ...
        'pat_alat_at_sed_flux','pat_alat_al_sed_flux','pth_alive_attch_mass_bal', ...
        'pat_dead_de_sed_flux','pth_dead_mass_bal', ...
        'sil_sed_flux','sil_phy_upt_flux','sil_phy_mor_flux','sil_phy_exc_flux','sil_mass_bal', ...
        'amm_atm_flux','amm_sed_flux','amm_nitrif_flux','amm_anmmox_flux','amm_drna_flux' ...
        'amm_phy_upt_flux','amm_org_min_flux','amm_mass_bal', ...
        'nit_atm_flux','nit_sed_flux','nit_nitrif_flux','nit_denit_flux','nit_anmmox_flux','nit_drna_flux', ...
        'nit_phy_upt_flux','nit_org_min_flux','nit_mass_bal', ...
        'frp_atm_flux','frp_sed_flux','frp_phy_upt_flux','frp_org_min_flux','frp_mass_bal', ...
        'phy_phy_upt_flux','phy_phy_res_flux','phy_phy_mor_flux','phy_phy_exc_flux','phy_phy_sed_flux','phy_mass_bal', ...
        'poc_hyd_flux','poc_phy_mor_flux','poc_mass_bal', ...
        'doc_sed_flux','doc_hyd_flux','doc_min_flux','doc_phy_exc_flux','doc_mass_bal', ...
        'pon_hyd_flux','pon_phy_mor_flux','pon_mass_bal', ...
        'don_sed_flux','don_hyd_flux','don_min_flux','don_phy_exc_flux','don_mass_bal', ...
        'pop_hyd_flux','pop_phy_mor_flux','pop_mass_bal', ...
        'dop_sed_flux','dop_hyd_flux','dop_min_flux','dop_phy_exc_flux','dop_mass_bal', ...
        'tni_mass_bal','tkn_mass_bal','tph_mass_bal','toc_mass_bal','tpt_mass_bal'};
    dat = [time,...
        oxy_atm_flux,oxy_sed_flux,oxy_nitrif_flux,oxy_phy_gpp_flux,oxy_phy_res_flux,oxy_org_min_flux,oxy_mass_bal, ...
        pat_grw_flux,pat_alat_lgt_flux,pat_alat_mor_flux,...
        pat_alat_at_sed_flux,pat_alat_al_sed_flux,pth_alive_attch_mass_bal, ...
        pat_dead_de_sed_flux,pth_dead_mass_bal, ...
        sil_sed_flux,sil_phy_upt_flux,sil_phy_mor_flux,sil_phy_exc_flux,sil_mass_bal, ...
        amm_atm_flux,amm_sed_flux,amm_nitrif_flux,amm_anmmox_flux,amm_drna_flux, ...
        amm_phy_upt_flux,amm_org_min_flux,amm_mass_bal, ...
        nit_atm_flux,nit_sed_flux,nit_nitrif_flux,nit_denit_flux,nit_anmmox_flux,nit_drna_flux, ...
        nit_phy_upt_flux,nit_org_min_flux,nit_mass_bal, ...
        frp_atm_flux,frp_sed_flux,frp_phy_upt_flux,frp_org_min_flux,frp_mass_bal, ...
        phy_phy_upt_flux,phy_phy_res_flux,phy_phy_mor_flux,phy_phy_exc_flux,phy_phy_sed_flux,phy_mass_bal, ...
        poc_hyd_flux,poc_phy_mor_flux,poc_sed_flux,poc_mass_bal, ...
        doc_sed_flux,doc_hyd_flux,doc_min_flux,doc_phy_exc_flux,doc_mass_bal, ...
        pon_hyd_flux,pon_phy_mor_flux,pon_sed_flux,pon_mass_bal, ...
        don_sed_flux,don_hyd_flux,don_min_flux,don_phy_exc_flux,don_mass_bal, ...
        pop_hyd_flux,pop_phy_mor_flux,pop_sed_flux,pop_mass_bal, ...
        dop_sed_flux,dop_hyd_flux,dop_min_flux,dop_phy_exc_flux,dop_mass_bal, ...
        tni_mass_bal,tkn_mass_bal,tph_mass_bal,toc_mass_bal,tpt_mass_bal];
    c = cell(length(time)+1,size(dat,2));
    c(1,:) = header; c(2:size(dat,1)+1,:) = num2cell(dat);
    eval(exp2);
% Refractory organics
elseif sim_class == 3
    header = {'time', ...
        'oxy_atm_flux','oxy_sed_flux','oxy_nitrif_flux','oxy_phy_gpp_flux','oxy_phy_res_flux','oxy_org_min_flux','oxy_mass_bal', ...
        'pat_grw_flux','pat_alat_lgt_flux','pat_alat_mor_flux', ...
        'pat_alat_at_sed_flux','pat_alat_al_sed_flux','pth_alive_attch_mass_bal', ...
        'pat_dead_de_sed_flux','pth_dead_mass_bal', ...
        'sil_sed_flux','sil_phy_upt_flux','sil_phy_mor_flux','sil_phy_exc_flux','sil_mass_bal', ...
        'amm_atm_flux','amm_sed_flux','amm_nitrif_flux','amm_anmmox_flux','amm_drna_flux', ...
        'amm_phy_upt_flux','amm_org_min_flux','amm_org_pho_flux','amm_mass_bal', ...
        'nit_atm_flux','nit_sed_flux','nit_nitrif_flux','nit_denit_flux','nit_anmmox_flux','nit_drna_flux', ...
        'nit_phy_upt_flux','nit_org_min_flux','nit_mass_bal', ...
        'frp_atm_flux','frp_sed_flux','frp_phy_upt_flux','frp_org_min_flux','frp_org_pho_flux','frp_mass_bal', ...
        'phy_phy_upt_flux','phy_phy_res_flux','phy_phy_mor_flux','phy_phy_exc_flux','phy_phy_sed_flux','phy_mass_bal', ...
        'poc_hyd_flux','poc_phy_mor_flux','poc_bdn_flux','poc_sed_flux','poc_mass_bal', ...
        'doc_sed_flux','doc_hyd_flux','doc_min_flux','doc_phy_exc_flux','doc_act_flux','doc_pho_flux','doc_mass_bal', ...
        'pon_hyd_flux','pon_phy_mor_flux','pon_bdn_flux','pon_sed_flux','pon_mass_bal', ...
        'don_sed_flux','don_hyd_flux','don_min_flux','don_phy_exc_flux','don_act_flux','don_pho_flux','don_mass_bal', ...
        'pop_hyd_flux','pop_phy_mor_flux','pop_bdn_flux','pop_sed_flux','pop_mass_bal', ...
        'dop_sed_flux','dop_hyd_flux','dop_min_flux','dop_phy_exc_flux','dop_act_flux','dop_pho_flux','dop_mass_bal', ...
        'rpc_bdn_flux','rpc_sed_flux','rpc_mass_bal', ...
        'rdc_act_flux','rdc_pho_flux','rdc_mass_bal', ...
        'rdn_act_flux','rdn_pho_flux','rdn_mass_bal', ...
        'rdp_act_flux','rdp_pho_flux','rdp_mass_bal', ...
        'tni_mass_bal','tkn_mass_bal','tph_mass_bal','toc_mass_bal','tpt_mass_bal'};
    dat = [time,...
        oxy_atm_flux,oxy_sed_flux,oxy_nitrif_flux,oxy_phy_gpp_flux,oxy_phy_res_flux,oxy_org_min_flux,oxy_mass_bal, ...
        pat_grw_flux,pat_alat_lgt_flux,pat_alat_mor_flux,...
        pat_alat_at_sed_flux,pat_alat_al_sed_flux,pth_alive_attch_mass_bal, ...
        pat_dead_de_sed_flux,pth_dead_mass_bal, ...
        sil_sed_flux,sil_phy_upt_flux,sil_phy_mor_flux,sil_phy_exc_flux,sil_mass_bal, ...
        amm_atm_flux,amm_sed_flux,amm_nitrif_flux,amm_anmmox_flux,amm_drna_flux, ...
        amm_phy_upt_flux,amm_org_min_flux,amm_org_pho_flux,amm_mass_bal, ...
        nit_atm_flux,nit_sed_flux,nit_nitrif_flux,nit_denit_flux,nit_anmmox_flux,nit_drna_flux, ...
        nit_phy_upt_flux,nit_org_min_flux,nit_mass_bal, ...
        frp_atm_flux,frp_sed_flux,frp_phy_upt_flux,frp_org_min_flux,frp_org_pho_flux,frp_mass_bal, ...
        phy_phy_upt_flux,phy_phy_res_flux,phy_phy_mor_flux,phy_phy_exc_flux,phy_phy_sed_flux,phy_mass_bal, ...
        poc_hyd_flux,poc_phy_mor_flux,poc_bdn_flux,poc_sed_flux,poc_mass_bal, ...
        doc_sed_flux,doc_hyd_flux,doc_min_flux,doc_phy_exc_flux,doc_act_flux,doc_pho_flux,doc_mass_bal, ...
        pon_hyd_flux,pon_phy_mor_flux,pon_bdn_flux,pon_sed_flux,pon_mass_bal, ...
        don_sed_flux,don_hyd_flux,don_min_flux,don_phy_exc_flux,don_act_flux,don_pho_flux,don_mass_bal, ...
        pop_hyd_flux,pop_phy_mor_flux,pop_bdn_flux,pop_sed_flux,pop_mass_bal, ...
        dop_sed_flux,dop_hyd_flux,dop_min_flux,dop_phy_exc_flux,dop_act_flux,dop_pho_flux,dop_mass_bal, ...
        rpc_bdn_flux,rpc_sed_flux,rpc_mass_bal, ...
        rdc_act_flux,rdc_pho_flux,rdc_mass_bal, ...
        rdn_act_flux,rdn_pho_flux,rdn_mass_bal, ...
        rdp_act_flux,rdp_pho_flux,rdp_mass_bal, ...
        tni_mass_bal,tkn_mass_bal,tph_mass_bal,toc_mass_bal,tpt_mass_bal];
    c = cell(length(time)+1,size(dat,2));
    c(1,:) = header; c(2:size(dat,1)+1,:) = num2cell(dat);
    eval(exp2);
end
